
QGIS Application - Bug report #14302

"Create grid" does not create polygons

2016-02-16 12:01 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22293

Description

In current master, the alg seems to be able to produce only lines, not polygon.

The same alg, from menu Vector, works smoothly.

Associated revisions

Revision ead88a3a - 2016-02-17 01:46 PM - Alexander Bruy

[processing] correctly recognize grid type (fix #14302)

History

#1 - 2016-02-16 12:07 AM - Paolo Cavallini

Check with second_alg exercise from Processing training manual.

#2 - 2016-02-16 01:33 AM - Giovanni Manghi

- Subject changed from Create grid does not create polygons to "Create grid" does not create polygons

- Operating System deleted (Debian)

- OS version deleted (Sid)

The processing tool that does not work as expected is the one that was taken from the mmqgis plugin. "Vector grid", the equivalent of the tool in the vector

menu works as its counterpart.

#3 - 2016-02-16 05:22 AM - Alexander Bruy

- Status changed from Open to Feedback

Just tested and "Create grid" tool (derived from mmqgis) produced polygons with all polygonal grid types. "Vector grid" tool (derived from fTool) does not

have option to produce polygons, so there is no bug here too.

#4 - 2016-02-16 05:59 AM - Giovanni Manghi

- Status changed from Feedback to Open

Alexander Bruy wrote:
Just tested and "Create grid" tool (derived from mmqgis) produced polygons with all polygonal grid types. "Vector grid" tool (derived from fTool) does

not have option to produce polygons, so there is no bug here too.

Hi Alexander, is not ok here at least on master/osgeo4w (I can't test on Linux at the moment). The output is always lines.

#5 - 2016-02-16 06:40 AM - Alexander Bruy

- Status changed from Open to Feedback

Can not reproduce with master 42bc938 under Linux. If I choose for example "Rectangle (polygon)" I get polygonal layer.

I have no Windows machine to test if it works under it.

#6 - 2016-02-16 07:00 AM - Paolo Cavallini

Thanks for checking. Which version are you using? Latest master here.

#7 - 2016-02-16 07:07 AM - Alexander Bruy

Latest master here too

#8 - 2016-02-17 12:44 AM - Giovanni Manghi

- Operating System set to Windows

Is ok on Linux/master here, not Windows.

#9 - 2016-02-17 04:46 AM - Alexander Bruy

- Status changed from Feedback to Closed

Fixed in changeset commit:"ead88a3ac23117df33eac79150d9ea7881b3aa38".
